import request from '../utils/gw_ajax_request.js';

// 获取福建大中型水库列表
export function getSKList_Fujian(data) {
  return request({
    url: '/bis/insp/rsml/rgstr/getRsmlPage',
    method: 'POST',
    data: data,
  });
}
// 大中型水库水库运行管理情况
export function getManagelist(rgstrId) {
  return request({
    url: '/bis/insp/rsml/rgstr/run/manage/getBy/' + rgstrId,
    method: 'GET',
  });
}
// 查询不在督查组督查范围内的督查对象(人饮、水毁) 水闸
export function getSupObjListNotInspGroupId(
  adCode,
  inspGroupId,
  fields,
  pageSize,
  pageNum,
  objType,
  nm,
  engScal,
) {
  return request({
    url: '/supervision/plan/getSupObjListNotInspGroupId',
    method: 'GET',
    params: {
      adCode: adCode,
      inspGroupId: inspGroupId,
      fields: fields,
      pageSize: pageSize,
      pageNum: pageNum,
      objType: objType,
      nm: nm,
      engScal: engScal,
    },
  });
}

// 水库督查
// 根据督查登记表ID获取三个责任人基本信息
export function getRgstrid(rgstrId) {
  return request({
    url: '/bis/insp/rsml/rgstr/pres/getBy/' + rgstrId,
    method: 'GET',
    params: {},
  });
}
// 水库工程实体
export function getProjectlist(curRgstrId) {
  return request({
    url: '/bis/insp/rsml/rgstr/project/getBy/' + curRgstrId,
    method: 'GET',
  });
}

// 新的督查问题api
export function getXSKProblemNew(data) {
  return request({
    url: '/dc/insp/pblm/page/pblm',
    method: 'POST',
    data: data,
  });
}

// 量化评分市
export function cityScoreUpdateApi(data) {
  return request({
    url: '/bis/insp/rsraqg/rgstr/city/update',
    method: 'POST',
    data: data,
  });
}
// 量化评分市
export function getCityScoreApi(id) {
  return request({
    url: `/bis/insp/rsraqg/rgstr/city/${id}`,
    method: 'GET',
  });
}
// 量化评分县
export function countyScoreUpdateApi(data) {
  return request({
    url: '/bis/insp/rsraqg/rgstr/county/update',
    method: 'POST',
    data: data,
  });
}
// 量化评分县
export function getCountyScoreApi(id) {
  return request({
    url: `/bis/insp/rsraqg/rgstr/county/${id}`,
    method: 'GET',
  });
}

// 水库标准化基础信息
export function getBzhglBaseInfo(id) {
  return request({
    url: `/bis/insp/stnd/rgstr/${id}`,
    method: 'GET',
  });
}
// 小水库标准化责任人和养护情况管理
export function getZerenYanghu(regId) {
  return request({
    url: `/bis/insp/stnd/dtymin/getByRegId/${regId}`,
    method: 'GET',
  });
}
// 小水库标准化问题标准
export function getXskBzhPblm() {
  return request({
    url: `/dc/insp/pblms/getPblmType?type=24&pguid=24000000000000000000000000000000`,
    method: 'GET',
  });
}
// 小水库标准化管理和物资情况管理
export function getxsbzhGlwz(rgstrId) {
  return request({
    url: '/bis/insp/stnd/mgamt/getByRegId/' + rgstrId,
    method: 'GET',
  });
}
// 小水库标准化预案编制和记录表情况管理
export function getYuanBianzhi(rgstrId) {
  return request({
    url: '/bis/insp/stnd/plrd/getByRegId/' + rgstrId,
    method: 'GET',
  });
}
// 小水库标准化督查问题api
export function getXskbzhProblemNew(data) {
  return request({
    url: '/dc/insp/pblm/page/stnd',
    method: 'POST',
    data: data,
  });
}

// 督查问题api
export function getProblem(data) {
  return request({
    url: '/dc/insp/pblm/page/pblm',
    method: 'POST',
    data: data,
  });
}
